{% extends("ubiquitous.twig") %}

{% block title %}
  Subscribe | Tor
{% endblock %}

{% block header %}
  {% embed "header_with_image.twig" %}
    {% block header_text %}
      <h1 class="header-title">Sign Up for Tor News!</h1>
      <div class="header-desc">
        Get updates and opportunities from across the organization and community.
      </div>
    {% endblock %}
  {% endembed %}
{% endblock %}


{% block content %}
  <div class="fixed-width">
    <h2>Your Info</h2>
    <div class="perk-desc required-field">* required fields</div>
    <ul class="messages">
      {% for error in errors %}
        <li class="error">{{ error }} </li>
      {% endfor %}
    </ul>
    <form method="POST" action="/subscription-request">
      <div class="field-row">
        <input class="field" type="text" id="firstName" name="firstName" placeholder="First Name" value="{{ parsedBody['firstName']|default('') }}">
        <input class="field" type="text" id="lastName" name="lastName" placeholder="Last Name" value="{{ parsedBody['lastName']|default('') }}">
      </div>
      <div class="field-row">
        <input class="field required" type="text" id="email" name="email" placeholder="* Email Address" value="{{ parsedBody['email']|default('') }}">
      </div>
      <p>
        We respect your privacy. We'll never share your email with anyone or collect information about you that you didn't give us.
      </p>
      {{ include('captcha.twig') }}
      <input class="purple button join" type="submit" value="Join">
    </form>
  </div>
{% endblock %}
